Invalid Token thrown in session.py when looking for Person object for certificate
Assignee: Roger Dahl % Done: 100%
Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

This is a common error for all of Tier2 and 3 tests I run, so I made it a high priority.

I checked that my certificates are consistent  (I can find the person corresponding to the subject in the subjectInfo using java tools).

The relevant portion of html exception I got:

java.lang.AssertionError: for host: https://gmn-dev.test.dataone.org/mn/v1:: ServiceFailure: -1: 500: INTERNAL SERVER ERROR:

parser for deserializing HTML not written yet.  Providing message body:

InvalidToken at /v1/object

name: InvalidToken

errorCode: 401

detailCode: 0

description: SubjectInfo does not have any Person records matching Subject: CN=testRightsHolder,DC=dataone,DC=org

 

<tr>

  <th>Request Method:</th>

  <td>POST</td>

</tr>

<tr>

  <th>Request URL:</th>

  <td>https://gmn-dev.test.dataone.org/mn/v1/object</td>

</tr>

<tr>

  <th>Django Version:</th>

  <td>1.3</td>

</tr>

<tr>

  <th>Exception Type:</th>

  <td>InvalidToken</td>

</tr>

<tr>

  <th>Exception Value:</th>

  <td><pre>name: InvalidToken

 

errorCode: 401

detailCode: 0

description: SubjectInfo does not have any Person records matching Subject: CN=testRightsHolder,DC=dataone,DC=org
https://gmn-dev.test.dataone.org/mn/v1::


<tr>

  <th>Exception Location:</th>

  <td>/var/local/dataone/mn_generic/service/../service/mn/middleware/session.py in _find_person_by

_subject, line 166</td>

</tr>

<tr>

  <th>Python Executable:</th>

  <td>/usr/bin/python</td>

</tr>

<tr>

  <th>Python Version:</th>

  <td>2.6.5</td>

</tr>

<tr>

  <th>Python Path:</th>

  <td><pre>[&#39;/usr/local/lib/python2.6/dist-packages/iso8601-0.1.4-py2.6.egg&#39;,

 

'/usr/local/lib/python2.6/dist-packages/python_dateutil-1.5-py2.6.egg',

'/usr/local/lib/python2.6/dist-packages/lxml-2.2.6-py2.6-linux-x86_64.egg',

'/var/local/dataone/d1_common',

'/var/local/dataone/d1_libclient',

'/usr/local/lib/python2.6/dist-packages/pyOpenSSL-0.12-py2.6-linux-x86_64.egg',

'/usr/local/lib/python2.6/dist-packages/pyasn1-0.0.13-py2.6.egg',

'/usr/lib/python2.6',

'/usr/lib/python2.6/plat-linux2',

'/usr/lib/python2.6/lib-tk',

'/usr/lib/python2.6/lib-old',

'/usr/lib/python2.6/lib-dynload',

'/usr/lib/python2.6/dist-packages',

'/usr/lib/pymodules/python2.6',

'/usr/local/lib/python2.6/dist-packages',

'/var/local/dataone/mn_generic/service/.',

'/var/local/dataone/mn_generic/service/..',

'/var/local/dataone/mn_generic/service/./types/generated',

'/var/local/dataone/mn_generic/service/./types/generated']

Server time:

Fri, 17 Feb 2012 23:03:11 +0000

 

History

#1 - 2012-02-27 18:18 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position set to 1

#2 - 2012-03-16 02:39 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position deleted (52)

- Position set to 5

#3 - 2012-04-23 16:29 - Roger Dahl

- Status changed from New to Closed
